## ros-galactic-pcl-ros 2.3.2

=== debian/changelog ===
ros-galactic-pcl-ros (2.3.2-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Paul Bovbel <paul@bovbel.com>  Tue, 14 Sep 2021 21:20:11 -0000

ros-galactic-pcl-ros (1.6.2-1focal) focal; urgency=high

  * Fix exported includes in Ubuntu Artful
  * Increase limits on CropBox filter parameters
  * Contributors: James Ward, Jiri Horner

 -- Paul Bovbel <paul@bovbel.com>  Sun, 20 May 2018 07:00:00 -0000

ros-galactic-pcl-ros (1.6.1-1focal) focal; urgency=high

  * Add 1.6.0 section to CHANGELOG.rst
  * Fix the use of Eigen3 in cmake
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 08 May 2018 07:00:00 -0000

ros-galactic-pcl-ros (1.6.0-1focal) focal; urgency=high

  * Fix build and update maintainers
  * Add message_filters to find_package
  * Remove unnecessary dependency on genmsg
  * Contributors: Paul Bovbel, Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Apr 2018 07:00:00 -0000

ros-galactic-pcl-ros (1.5.4-1focal) focal; urgency=high

  * update to use non deprecated pluginlib macro
  * Fix config path of sample_voxel_grid.launch
  * remove hack now that upstream pcl has been rebuilt
  * Looser hzerror in test for extract_clusters to make it pass on Travis
  * Add sample & test for surface/convex_hull
  * Add sample & test for segmentation/extract_clusters.cpp
  * Add sample & test for io/concatenate_data.cpp
  * Add sample & test for features/normal_3d.cpp
  * Organize samples of pcl_ros/features
  * Add test arg to avoid duplicated testing
  * LazyNodelet for features/*
  * LazyNodelet for filters/ProjectInliers
  * Refactor io/PCDReader and io/PCDWriter as child of PCLNodelet
  * LazyNodelet for io/PointCloudConcatenateFieldsSynchronizer
  * LazyNodelet for io/PointCloudConcatenateDataSynchronizer
  * LazyNodelet for segmentation/SegmentDifferences
  * LazyNodelet for segmentation/SACSegmentationFromNormals
  * LazyNodelet for segmentation/SACSegmentation
  * LazyNodelet for segmentation/ExtractPolygonalPrismData
  * LazyNodelet for segmentation/EuclideanClusterExtraction
  * LazyNodelet for surface/MovingLeastSquares
  * LazyNodelet for surface/ConvexHull2D
  * Add missing COMPONENTS of PCL
  * Inherit NodeletLazy for pipeline with less cpu load
  * Set leaf_size 0.02
  * Install samples
  * Add sample and test for pcl/StatisticalOutlierRemoval
    Conflicts:
    pcl_ros/CMakeLists.txt
  * Add sample and test for pcl/VoxelGrid
    Conflicts:
    pcl_ros/CMakeLists.txt
  * no need to remove duplicates
  * spourious line change
  * remove now unnecessary build_depend on qtbase5
  * exclude PCL IO libraries exporting Qt flag
  * find only PCL components used instead of all PCL
  * Remove dependency on vtk/libproj-dev (#145 <https://github.com/ros-perception/perception_pcl/issues/145>)
    * Remove dependency on vtk/libproj-dev
    These dependencies were introduced in #124 <https://github.com/ros-perception/perception_pcl/issues/124> to temporarily fix
    missing / wrong dependencies in upstream vtk. This hack is no longer
    necessary, since fixed vtk packages have been uploaded to
    packages.ros.org (see #124 <https://github.com/ros-perception/perception_pcl/issues/124> and ros-infrastructure/reprepro-updater#32 <https://github.com/ros-infrastructure/reprepro-updater/issues/32>).
    * Remove vtk hack from CMakeLists.txt
  * Contributors: Kentaro Wada, Mikael Arguedas

 -- Paul Bovbel <paul@bovbel.com>  Sat, 31 Mar 2018 07:00:00 -0000

ros-galactic-pcl-ros (1.5.3-1focal) focal; urgency=high

  * Add dependency on qtbase5-dev for find_package(Qt5Widgets)
    See https://github.com/ros-perception/perception_pcl/pull/117#issuecomment-298158272 for detail.
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Wed, 03 May 2017 07:00:00 -0000

ros-galactic-pcl-ros (1.5.2-1focal) focal; urgency=high

  * Find Qt5Widgets to fix -lQt5::Widgets error
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Sat, 29 Apr 2017 07:00:00 -0000

ros-galactic-pcl-ros (1.5.1-1focal) focal; urgency=high

  * Add my name as a maintainer
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Apr 2017 07:00:00 -0000

ros-galactic-pcl-ros (1.5.0-1focal) focal; urgency=high

  * Fix lib name duplication error in ubunt:zesty
  * Detect automatically the version of PCL in cmake
  * Install xml files declaring nodelets
  * Fix syntax of nodelet manifest file by splitting files for each library.
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 25 Apr 2017 07:00:00 -0000

ros-galactic-pcl-ros (1.4.0-1focal) focal; urgency=high

  * Fixup libproj-dev rosdep
  * Add build depend on libproj, since it's not provided by vtk right now
  * manually remove dependency on vtkproj from PCL_LIBRARIES
  * Remove python-vtk for kinetic-devel, see issue #44 <https://github.com/ros-perception/perception_pcl/issues/44>
  * Contributors: Jackie Kay, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 22 Apr 2016 07:00:00 -0000

ros-galactic-pcl-ros (1.3.0-1focal) focal; urgency=high

  * cleanup broken library links
    All removed library names are included in ${PCL_LIBRARIES}.
    However, the plain library names broke catkin's overlay mechanism:
    Where ${PCL_LIBRARIES} could point to a local installation of the PCL,
    e.g. pcd_ros_segmentation might still link to the system-wide installed version
    of pcl_segmentation.
  * Fixed test for jade-devel. Progress on #92 <https://github.com/ros-perception/perception_pcl/issues/92>
  * commented out test_tf_message_filter_pcl
    Until ros/geometry#80 <https://github.com/ros/geometry/issues/80> has been merged the test will fail.
  * fixed indentation and author
  * Adds a test for tf message filters with pcl pointclouds
  * specialized HasHeader, TimeStamp, FrameId
    - HasHeader now returns false
    - TimeStamp and FrameId specialed for pcl::PointCloud<T> for any point type T

